using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace CallCenterApi.Interface.Models.Enum
{
    /// <summary>
    /// 工单状态枚举
    /// </summary>
    public enum EnumWorkOrderState
    {
        [Description("新工单待指派")]
        neworder,
        [Description("已指派待接单")]
        assign,
        [Description("已接单待处理")]
        receive,
        [Description("已退回待处理")]
        reback,
        [Description("异常退回待接单")]
        abreback,
        [Description("处理中")]
        dealing,
        [Description("已处理待回访")]
        dealed,
        [Description("已回访待完结")]
        visit,
        [Description("已完结")]
        finish=10,
        [Description("已评价")]
        evaluate,
        [Description("已退回待指派")]
        reassign,
        [Description("导入工单")]
        usedimport,
        [Description("微信客户")]
        customers,
        [Description("微信未通过")]
        recustomers,
        [Description("待审批")]
        audit,
        [Description("已撤回待指派")]
        revoke,
    }
    /// <summary>
    /// 工单记录类型枚举
    /// </summary>
    public enum EnumItemType
    {
        [Description("办理")]
        deal = 1,
        [Description("催办")]
        urge = 2,
        [Description("评价")]
        evaluate = 3,
        [Description("修改")]
        update = 4,
        [Description("删除")]
        delete = 5,
        [Description("回访")]
        visit = 6,
        [Description("审批")]
        audit = 7,
        [Description("延期")]
         Delay = 8,
        [Description("抄送")]
        Copy = 9,
    }
    /// <summary>
    /// 工单记录操作
    /// </summary>
    public enum EnumItemOpt
    {
        [Description("添加")]
        create,
        [Description("指派")]
        assign,
        [Description("接单")]
        receive,
        [Description("处理")]
        deal,
        [Description("退回")]
        reback,
        [Description("异常退回")]
        abreback,
        [Description("催办")]
        urge,
        [Description("处理完结")]
        end,
        [Description("评价")]
        evaluate,
        [Description("修改")]
        update,
        [Description("删除")]
        delete,
        [Description("待审核")]
        audit,
        [Description("已审核")]
        reaudit,
        [Description("回访")]
        visit,
        [Description("延期")]
        Delay,
       [Description("撤回")]
        revoke,
       [Description("抄送")]
        Copy

    }
}